# Class Gff3FileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<GffMarker>
org.snpeff.fileIterator.MarkerFileIterator<GffMarker>
org.snpeff.fileIterator.Gff3FileIterator

All Implemented Interfaces:
  `Iterable<GffMarker>, Iterator<GffMarker>`

public class Gff3FileIterator extends MarkerFileIterator<GffMarker>
Opens a sequence change file and iterates over all intervals in GFF3 format.

Author:
  pcingola

## Field Summary

### Fields inherited from class MarkerFileIterator

`createChromos, genome, ignoreChromosomeErrors, inOffset`

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`Gff3FileIterator(String fileName)`
`Gff3FileIterator(String fileName, Genome genome)`
`Gff3FileIterator(String fileName, Genome genome, int inOffset)`

## Method Summary

Modifier and Type
Method
Description
`protected GffMarker`
`readNext()`
Read next element

### Methods inherited from class MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, isDebug, iterator, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### Gff3FileIterator

public Gff3FileIterator(String fileName)

### Gff3FileIterator

public Gff3FileIterator(String fileName, Genome genome)

### Gff3FileIterator

public Gff3FileIterator(String fileName, Genome genome, int inOffset)

## Method Details

### readNext

protected GffMarker readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<GffMarker>`